Bug 991386 - Crashes in the ruby libraries
Crashes in the ruby libraries
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: openwsman (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vitezslav Crhonek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 06:15 EDT by Tomas Smetana
Modified: 2015-02-18 09:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 09:03:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Smetana 2013-08-02 06:15:04 EDT
Description of problem:
Trying to configure openwsman-server running as a "frontend" for the tog-pegasus results in almost every WS-MAN request to crash the server.

Version-Release number of selected component (if applicable):
tog-pegasus-2.12.1-4.fc19.x86_64
wsmancli-2.3.0-2.fc19.x86_64
openwsman-client-2.3.6-6.fc19.x86_64
openwsman-server-2.3.6-6.fc19.x86_64
libwsman1-2.3.6-6.fc19.x86_64

How reproducible:
Almost always

Steps to Reproduce:
1. Configure the wsman server with SSL:
 - generate the certificates
 - create /etc/openwsman/simple_auth.passwd using htpasswd
 - put something like this to the /etc/openwsman/openwsman.conf (this is the complete config file):

[server]
port = 5985
ipv4 = yes
ipv6 = no
ssl_cert_file = /etc/openwsman/servercert.pem
ssl_key_file = /etc/openwsman/serverkey.pem
basic_password_file = /etc/openwsman/simple_auth.passwd
min_threads = 4
max_threads = 0
max_connections_per_thread=20

[cim]
default_cim_namespace = root/cimv2
vendor_namespaces = OpenWBEM=http://schema.openwbem.org/wbem/wscim/1/cim-schema/2,Linux=http://sblim.sf.net/wbem/wscim/1/cim-schema/2,OMC=http://schema.omc-project.org/wbem/wscim/1/cim-schema/2,PG=http://schema.openpegasus.org/wbem/wscim/1/cim-schema/2
port = 5989
ssl = yes
verify_cert = no

3. Start Pegasus and openwsmand:

systemctl start tog-pegasus.service
systemctl start openwsmand.service

4. Issue any WS-MAN request:

wsman enumerate -v -d 6 -u pegasus -h localhost 'http://schemas.dmtf.org/wbem/wscim/1/cim-schema/2/root/cimv2/PG_OperatingSystem'

5. See openwsmand crash:
systemctl status openwsmand.service
cat /var/log/wsmand.log

Actual results:
The openwsmand has been aborted, the log contains a backtrace and the memory map (I have no core file yet...):

-- C level backtrace information -------------------------------------------
/lib64/libruby.so.2.0(+0x1789eb) [0x7ff346ed89eb]
/lib64/libruby.so.2.0(+0x64b8a) [0x7ff346dc4b8a]
/lib64/libruby.so.2.0(rb_bug+0xb3) [0x7ff346dc5293]
/lib64/libruby.so.2.0(+0x111fe6) [0x7ff346e71fe6]
/lib64/libpthread.so.0(+0xefa0) [0x7ff34bab6fa0]
/lib64/libc.so.6(+0x84bd6) [0x7ff34b361bd6]
/usr/lib64/openwsman/authenticators/libwsman_file_auth.so(authorize+0x107) [0x7ff346140b17]
/usr/sbin/openwsmand(check_authorization+0x16d) [0x40860d]
/usr/sbin/openwsmand() [0x404c97]
/usr/sbin/openwsmand(shttpd_poll+0xc00) [0x407a10]
/usr/sbin/openwsmand() [0x40cbc6]
/lib64/libpthread.so.0(+0x7c53) [0x7ff34baafc53]
/lib64/libc.so.6(clone+0x6d) [0x7ff34b3d213d]

It also mentions: "You may have encountered a bug in the Ruby interpreter or extension libraries."

Expected results:
No crash.

Additional info:
It's prety possible my configuration is not correct and that I don't know how to use the wsman CLI utility.  Still no reason for the crash to happen.
Comment 1 Fedora End Of Life 2015-01-09 17:14:43 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2015-02-18 09:03:58 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.